html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}

ul {
  padding-left: 0;
  margin: 0;
}

img {
  width: 100%;
  height: auto;
  display: block;
}

:root {
  --primary-text-color: rgba(67, 68, 85, 1);
  --title-text-color: #2e2f42;
  --accent-color: #404bbf;
  --backgroun-color: #ffffff;
  --text-color-1: #4d5ae5;
  --address-color: #434455;
  --footer-text-color: #e7e9fc;
  --additional-color: #f4f4fd;
  --customer-color: #8e8f99;
  --modal-collor: #fcfcfc;
  --transition-func: cubic-bezier(0.4, 0, 0.2, 1);
}
body {
  background-color: var(--backgroun-color);
  color: var(--primary-text-color);
  font-family: Roboto, sans-serif;
  letter-spacing: 0.02em;
  font-size: 16px;
  line-height: 1.33;
}
.list {
  list-style: none; /* take out dots from list */
}
.section-title {
  margin-bottom: 72px;
  margin-left: auto;
  margin-right: auto;
}
/*--------------container-----------------*/
.container {
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-left: 15px;
  padding-right: 15px;
}

/* ----------------Header----------------- */
.page-header {
  padding: 24px 0px;
  border-bottom: 1px solid var(--footer-text-color);
  box-shadow: 0px 2px 1px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 1px 6px rgba(46, 47, 66, 0.08);
}

.header-container {
  display: flex;
  align-items: center;
}

.header-nav {
  display: flex;
  margin-right: auto;
}
.site-nav {
  display: flex;
  gap: 40px;
}

/* -----------------logo------------------ */
.logo {
  margin-right: 76px;

  text-decoration: none;
  color: var(--title-text-color);
  font-family: Raleway, sans-serif;
  letter-spacing: 0.03em;

  /* font-weight: 800; */
  font-size: 18px;
  line-height: 1.33;
  text-transform: uppercase;
}
.logo-part {
  color: var(--text-color-1);
}

/* --------------Site nav---------------- */
.site-nav .link {
  text-decoration: none;
  color: var(--title-text-color);
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;

  transition: color 250ms var(--transition-func);
}
.site-nav .link:active,
.site-nav .link:focus,
.site-nav .link:hover {
  color: var(--accent-color);
}
.nav-link {
  position: relative;
}
.current > .nav-link {
  color: var(--accent-color);
}
.current.nav-link::after {
  position: absolute;
  bottom: -28px;
  left: 0;

  content: '';
  width: 100%;
  height: 4px;
  background-color: var(--accent-color);
  border-radius: 2px;
  opacity: 1;
}
.nav-address .link {
  text-decoration: none;
  color: var(--address-color);
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.04em;

  transition: color 250ms var(--transition-func);
}
.nav-address .link:active,
.nav-address .link:focus,
.nav-address .link:hover {
  color: var(--accent-color);
}
.menu-button {
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  background-color: transparent;
  width: 32px;
  height: 22px;
}
.menu-button {
  width: 32px;
  height: 22px;
}
.button-menu-open {
  width: 32px;
  height: 22px;
  stroke: var(--title-text-color);
}
.menu-modal {
  position: fixed;
  width: 428px;
  height: 100%;
  top: 0;
  left: 50%;
  background: var(--backgroun-color);
  transform: translatex(-50%);
}
/* ------------------Section 1------------- */
.hero {
  max-width: 1440px;
  background-color: var(--title-text-color);
  background-image: linear-gradient(
      rgba(46, 47, 66, 0.7),
      rgba(46, 47, 66, 0.7)
    ),
    url(../images/desc-hero-bg.jpg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding-top: 112px;
  padding-bottom: 112px;
  margin-left: auto;
  margin-right: auto;
}
.hero-title {
  max-width: 320px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 72px;

  color: var(--backgroun-color);
  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;
  text-align: center;
  letter-spacing: 0.02em;
}

.hero .button {
  display: block;
  width: 169px;
  height: 56px;
  margin-left: auto;
  margin-right: auto;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);
  border-radius: 4px;
  border: none;

  font-family: inherit; /* need it for inheritance from body part */
  color: var(--backgroun-color);
  background-color: var(--text-color-1);
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.04em;
  cursor: pointer;

  transition: background-color 250ms var(--transition-func);
}
.hero .button:hover,
.hero .button:focus,
.hero .button:active {
  background-color: var(--accent-color);
}

/* --------------Section 2,3,4------------- */
.section-title {
  color: var(--title-text-color);
  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;
  text-align: center;
  text-transform: capitalize;
  letter-spacing: 0.02em;
}

/* -----------Section 2 Strengths---------- */
.section-strengths {
  padding-top: 96px;
  padding-bottom: 96px;
}

.strengths .title,
.services .title {
  color: var(--title-text-color);
  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;
  letter-spacing: 0.02em;
  text-align: center;
}
.strength-discription {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
}
.strengths {
  display: flex;
  flex-direction: column;
  gap: 72px;
}

.strength {
  width: 100%;
}

.strength-title {
  margin-bottom: 8px;
}
.strength-icons {
  display: none;
}

/* ---------------Section What we are doing---------------- */
.section-features {
  display: none;
}

/* ---------------Section Our Team---------------- */
.team {
  background-color: var(--additional-color);
  padding-top: 96px;
  padding-bottom: 96px;
}
.teammembers {
  display: flex;
  flex-direction: column;
  gap: 72px;
  align-items: center;
}
.teammembers .team-member {
  color: var(--title-text-color);
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  text-align: center;
  letter-spacing: 0.02em;
}

.teammembers-description {
  background-color: #ffffff;
  max-width: 264px;
  box-shadow: 0px 1px 6px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 2px 1px rgba(46, 47, 66, 0.08);
  border-radius: 0px 0px 4px 4px;
}
.team-photo {
  padding-top: 32px;
  padding-bottom: 32px;
}
.team-member {
  margin-bottom: 8px;
}
.team .team-position {
  text-align: center;
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
}
.teammember-icons {
  padding-left: 5px;
  padding-right: 5px;
  display: flex;
  justify-content: center;
  gap: 24px;
  margin-top: 8px;
}
.soc-item-link {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: var(--text-color-1);

  transition: background-color 250ms var(--transition-func);
}
.soc-item-link:hover,
.soc-item-link:focus {
  background-color: var(--accent-color);
}
.soc-item-icon {
  width: 16px;
  height: 16px;
  fill: var(--additional-color);
}

/* ---------------Section Customers---------------- */
.section-customers {
  padding-top: 96px;
  padding-bottom: 96px;
}

.customers-list {
  display: flex;
  flex-wrap: wrap;
  row-gap: 72px;
  column-gap: 16px;
  justify-content: center;
}
.customer-item {
  width: calc((100% - 68px) / 2);
  /* width: 190px; 16px*/
}
.customer-link {
  height: 88px;
  border-radius: 4px;
  border: 1px solid var(--customer-color);
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--customer-color);

  transition: border 250ms var(--transition-func);
}
.customer-link:hover,
.customer-link:focus {
  border: 1px solid var(--accent-color);
}
.customer-link:hover .customer-icon,
.customer-link:focus .customer-icon {
  fill: var(--accent-color);
}
.customer-icon {
  width: 104px;
  height: 56px;
  fill: currentColor;

  transition: fill 250ms var(--transition-func);
}
/* ---------------Footer----------------- */
.footer {
  background-color: var(--title-text-color);
  padding-top: 96px;
  padding-bottom: 96px;
}
.footer-container {
  display: flex;
}
.footer-content {
  width: 264px;
}
.footer-text {
  color: var(--footer-text-color);
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
}
.footer .logo {
  display: block;
  margin-bottom: 16px;
  color: var(--additional-color);
}
.footer-title-soc {
  margin-bottom: 16px;
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  color: var(--backgroun-color);
  letter-spacing: 0.02em;
}
.footer-soc-list {
  display: flex;
  gap: 16px;
}
.footer-soc-link {
  display: block;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: var(--text-color-1);

  transition: background-color 250ms var(--transition-func);
}
.footer-soc-link:hover,
.footer-soc-link:focus {
  background-color: #31d0aa;
}
.footer-soc-link .footer-cos-icon {
  width: 24px;
  height: 24px;
  fill: var(--backgroun-color);
}
.footer-subscribe-items {
  display: flex;
  gap: 24px;
}
.footer-input {
  display: block;
  height: 40px;
  padding-left: 16px;
  padding-top: 8px;
  padding-bottom: 8px;

  border: 1px solid var(--backgroun-color);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);
  border-radius: 4px;
  background-color: var(--title-text-color);
  color: var(--backgroun-color);
  outline: transparent;
  opacity: 0.3;
}
.footer-input::placeholder {
  font-weight: 400;
  font-size: 12px;
  line-height: 2;
  letter-spacing: 0.04em;
  color: var(--backgroun-color);
}
.footer-button-subscribe {
  display: flex;
  gap: 16px;
  justify-content: center;
  align-items: center;
  width: 165px;
  height: 40px;
  padding: 8px 24px;
  font-family: inherit;
  cursor: pointer;

  background: var(--text-color-1);
  border-color: var(--text-color-1);
  border-radius: 4px;
  color: var(--backgroun-color);

  transition: background-color 250ms var(--transition-func);
}
.footer-button-subscribe:focus,
.footer-button-subscribe:hover {
  background-color: var(--accent-color);
}
.footer-button-icon {
  width: 24px;
  height: 24px;
  fill: var(--backgroun-color);
}

/*Portfolio*/
/* ----------------Buttons----------------- */

.portfolio-section {
  padding-top: 96px;
  padding-bottom: 120px;
}

.buttons {
  display: flex;
  justify-content: center;
  margin-bottom: 72px;
  gap: 24px;
}

.button-portfolio {
  padding: 12px 24px;
  border: 1px solid var(--footer-text-color);
  border-radius: 4px;

  font-family: inherit; /*need it for inheritance from body part*/
  color: var(--text-color-1);
  background-color: var(--additional-color);
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.04em;

  text-align: center;
  cursor: pointer;

  transition: color 250ms var(--transition-func),
    background-color 250ms var(--transition-func),
    border-color 250ms var(--transition-func),
    box-shadow 250ms var(--transition-func);
}

.button-portfolio:hover,
.button-portfolio:focus,
.button-portfolio:active {
  color: var(--backgroun-color);
  background-color: var(--accent-color);
  border-color: var(--accent-color);
  box-shadow: 0px 3px 1px rgba(0, 0, 0, 0.1), 0px 2px 1px rgba(0, 0, 0, 0.08),
    0px 2px 2px rgba(0, 0, 0, 0.12);
}
/* ----------------Portfolio lists----------------- */
.portfolio-list {
  display: flex;
  flex-wrap: wrap;
  row-gap: 48px;
  column-gap: 24px;
}
.portfolio-item {
  width: calc((100% - 48px) / 3);
}

.portfolio h2 {
  color: var(--title-text-color);
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
}

.portfolio-item .title {
  margin-bottom: 8px;
}

/* -----------Portfolio link------------- */

.list .portfolio-link {
  display: block;

  text-decoration: none; /* take out all underlines */
  font-family: inherit; /* need it for inheritance from body part */
  color: var(--title-text-color);
  font-size: 20px;
  line-height: 1.2;
}
.portfolio-link-photo {
  position: relative;
  overflow: hidden;
}
.overlay {
  position: absolute;

  width: 100%;
  height: 100%;
  background-color: var(--text-color-1);
  padding-top: 40px;
  padding-left: 32px;
  padding-right: 32px;

  transform: translateY(0);
  transition: transform 250ms var(--transition-func);
}
.portfolio-link:hover .overlay,
.portfolio-link:focus .overlay {
  transform: translateY(-100%);
}
.portfolio-link .title {
  font-weight: 500;
}
.portfolio-overlay-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--additional-color);
}
.list .list-text {
  font-family: inherit;
  color: var(--address-color);
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
}
.portfolio-link {
  transition: box-shadow 250ms var(--transition-func);
}
.portfolio-link:hover,
.portfolio-link:focus {
  box-shadow: 0px 1px 6px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 2px 1px rgba(46, 47, 66, 0.08);
}
.services {
  padding-left: 16px;
  padding-right: 16px;
  padding-top: 24px;
  padding-bottom: 24px;
  border-right: 1px solid var(--footer-text-color);
  border-left: 1px solid var(--footer-text-color);
  border-bottom: 1px solid var(--footer-text-color);
}

/* ---------------Backdrop---------------- */
.backdrop {
  position: fixed;
  background-color: rgba(46, 47, 66, 0.4);
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: opacity 250ms var(--transition-func),
    visibility 250ms var(--transition-func);
  opacity: 1;
  overflow-y: scroll;
}
.backdrop.is-hidden {
  opacity: 0;
  visibility: hidden;
  /* событие указателя при таком елемента не действует на классе */
  pointer-events: none;
}
.modal {
  max-height: 100vh;
  overflow-y: auto;
  position: absolute;
  top: 50%;
  left: 50%;
  padding: 72px 16px 16px;
  transform: translate(-50%, -50%) scale(1);

  background-color: var(--modal-collor);
  border-radius: 4px;
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.14), 0px 1px 3px rgba(0, 0, 0, 0.12),
    0px 2px 1px rgba(0, 0, 0, 0.2);
  transition: transform 250ms var(--transition-func);
}
.backdrop.is-hidden .modal {
  transform: translate(-50%, -50%) scale(0);
}
.modal-button {
  position: absolute;
  right: 24px;
  top: 24px;
  display: flex;

  align-items: center;
  justify-content: center;
  width: 24px;
  height: 24px;
  cursor: pointer;

  border-radius: 50%;
  background: var(--footer-text-color);
  border: 1px solid rgba(0, 0, 0, 0.1);
  transition: background-color 250ms var(--transition-func);
}
.modal-button:hover,
.modal-button:focus {
  background-color: var(--accent-color);
}
.button-close {
  width: 8px;
  height: 8px;
  fill: var(--title-text-color);
  transition: fill 250ms var(--transition-func);
}
.modal-button:hover .button-close,
.modal-button:focus .button-close {
  fill: var(--backgroun-color);
}
.modal-title {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--title-text-color);
  text-align: center;
}
.modal-form {
  margin-top: 16px;
  display: flex;
  flex-direction: column;
}
.modal-label {
  margin-bottom: 4px;
}
.modal-label-text-input {
  margin-bottom: 16px;
}
.modal-label-text,
.modal-label-text-input {
  display: inline-block;
  font-weight: 400;
  font-size: 12px;
  line-height: 1.17;
  letter-spacing: 0.01em;

  color: var(--customer-color);
}
.modal-label-input-wrap {
  position: relative;
  margin-bottom: 8px;
}
.modal-input-icon {
  position: absolute;
  left: 16px;
  bottom: 50%;
  transform: translateY(50%);
  width: 24px;
  height: 24px;
  transition: fill 250ms var(--transition-func);
}
.modal-input {
  width: 100%;
  height: 40px;
  border: 1px solid rgba(46, 47, 66, 0.4);
  border-radius: 4px;
  padding-left: 38px;
  outline: transparent;
  transition: border 250ms var(--transition-func);
}
.modal-input:focus {
  border: 1px solid var(--text-color-1);
}
.modal-input:focus + .modal-input-icon {
  fill: var(--text-color-1);
}
.modal-text {
  margin-top: 4px;
  width: 100%;
  height: 120px;
  padding: 8px 16px;

  border: 1px solid rgba(46, 47, 66, 0.4);
  border-radius: 4px;
  resize: none;
  outline: transparent;
  transition: border 250ms var(--transition-func);
}
.modal-text::placeholder {
  font-weight: 400;
  font-size: 12px;
  line-height: 1.17;
  letter-spacing: 0.04em;
  color: rgba(46, 47, 66, 0.4);
}
.modal-text:focus {
  border: 1px solid var(--text-color-1);
}
.modal-user-privacy {
  margin-bottom: 24px;
}
.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;

  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}
.check-text {
  display: flex;
  flex-wrap: wrap;
  font-weight: 400;
  font-size: 12px;
  line-height: 1.17;
  letter-spacing: 0.04em;
  align-items: end;
  gap: 8px;
  color: var(--customer-color);
}
.check-text-link {
  font-weight: 400;
  font-size: 12px;
  line-height: 1.33;
  letter-spacing: 0.04em;
  text-decoration-line: underline;

  color: var(--text-color-1);
}
.check-text::before {
  content: '';
  display: block;
  width: 16px;
  height: 16px;
  border: 1px solid rgba(46, 47, 66, 0.4);
  border-radius: 2px;
  transition: background-color 250ms var(--transition-func),
    background-image 250ms var(--transition-func);
}
.modal-checkbox:checked + .check-text::before {
  background-color: var(--accent-color);
  background-image: url(../images/icon-checkbox.svg);
  background-repeat: no-repeat;
  background-position: center;
  border: none;
}
.modal-button-submit {
  display: block;
  width: 169px;
  height: 56px;
  padding: 16px 32px;

  margin-left: auto;
  margin-right: auto;

  font-family: inherit;
  cursor: pointer;
  background: var(--text-color-1);
  border: none;
  color: var(--backgroun-color);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);
  border-radius: 4px;

  letter-spacing: 0.04em;
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  cursor: pointer;
  font-family: inherit;
  transition: background-color 250ms var(--transition-func);
}

.modal-button-submit:hover,
.modal-button-submit:focus,
.modal-button-submit:active {
  background-color: var(--accent-color);
}
